Bug 139844 - Installer crashes with "Exeption occurred" while creating LVM Volumes over multiple DASD devices
Installer crashes with "Exeption occurred" while creating LVM Volumes over mu...
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
s390 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks: 135876
  Show dependency treegraph
 
Reported: 2004-11-18 08:26 EST by Joerg Sippel
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-24 23:44:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anacdump.txt (575.73 KB, text/plain)
2004-11-18 08:56 EST, Joerg Sippel
no flags Details
lvmout (290 bytes, text/plain)
2004-11-18 08:57 EST, Joerg Sippel
no flags Details
Disk Druid settings (JPG) (253.17 KB, image/jpg)
2004-11-18 09:36 EST, Joerg Sippel
no flags Details

  None (edit)
Description Joerg Sippel 2004-11-18 08:26:46 EST
While creating the LVM Volume (1 Volume over 3 DASD devices), the 
installer crash with the attached trace:

Is this a problem with my installation or a general failure?

Traceback (most recent call last):
  File "/usr/src/build/475293-s390/install//usr/lib/anaconda/gui.py", 
line 1074, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/src/build/475293-
s390/install//usr/lib/anaconda/iw/progress_gui.py", line 242, in 
renderCallback
    self.intf.icw.nextClicked()
  File "/usr/src/build/475293-s390/install//usr/lib/anaconda/gui.py", 
line 789, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/src/build/475293-
s390/install//usr/lib/anaconda/dispatch.py", line 171, in gotoNext
    self.moveStep()
  File "/usr/src/build/475293-
s390/install//usr/lib/anaconda/dispatch.py", line 239, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/src/build/475293-
s390/install//usr/lib/anaconda/packages.py", line 554, in 
turnOnFilesystems
    thefsset.createLogicalVolumes(instPath)
  File "/usr/src/build/475293-
s390/install//usr/lib/anaconda/fsset.py", line 1432, in 
createLogicalVolumes
    entry.device.setupDevice(chroot)
  File "/usr/src/build/475293-
s390/install//usr/lib/anaconda/fsset.py", line 2051, in setupDevice
    raise SystemError, "lvcreate failed for %s" %(self.name,)
SystemError: lvcreate failed for LogVol00

Traceback (most recent call last):
  File "/usr/src/build/475293-s390/install//usr/lib/anaconda/gui.py", 
line 1074, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/src/build/475293-
s390/install//usr/lib/anaconda/iw/progress_gui.py", line 242, in 
renderCallback
    self.intf.icw.nextClicked()
  File "/usr/src/build/475293-s390/install//usr/lib/anaconda/gui.py", 
line 789, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/src/build/475293-
s390/install//usr/lib/anaconda/dispatch.py", line 171, in gotoNext
    self.moveStep()
  File "/usr/src/build/475293-
s390/install//usr/lib/anaconda/dispatch.py", line 239, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/src/build/475293-
s390/install//usr/lib/anaconda/packages.py", line 554, in 
turnOnFilesystems
    thefsset.createLogicalVolumes(instPath)
  File "/usr/src/build/475293-
s390/install//usr/lib/anaconda/fsset.py", line 1432, in 
createLogicalVolumes
    entry.device.setupDevice(chroot)
  File "/usr/src/build/475293-
s390/install//usr/lib/anaconda/fsset.py", line 2051, in setupDevice
    raise SystemError, "lvcreate failed for %s" %(self.name,)
SystemError: lvcreate failed for LogVol00

> /usr/src/build/475293-s390/install/usr/lib/anaconda/fsset.py(2051)
setupDevice()
-> raise SystemError, "lvcreate failed for %s" %(self.name,)

Version-Release number of selected component (if applicable):
anaconda-10.1.1.3-1.s390.rpm

How reproducible:
Always

Steps to Reproduce:
1. Start installation
2. Create LVM Volume over 3 DASD Devices
3. Select packages and start installation
    

Additional info:
Comment 1 Jeremy Katz 2004-11-18 08:37:13 EST
Can you provide /tmp/anacdump.txt and /tmp/lvmout from the system when
it tracebacks?
Comment 2 Joerg Sippel 2004-11-18 08:56:15 EST
Created attachment 106954 [details]
anacdump.txt
Comment 3 Joerg Sippel 2004-11-18 08:57:03 EST
Created attachment 106955 [details]
lvmout
Comment 4 Joerg Sippel 2004-11-18 08:59:13 EST
Here the requested files.

It seems that there is an issue with the computed max. size of the 
volume. Disk druid shows that there are 7020 MB available. When using 
this 7020MB anaconda crashes, when using a smaller size (i tried with 
7000MB) the installation is working
Comment 5 Jeremy Katz 2004-11-18 09:00:59 EST
What did you use as your extent size and what were the sizes of the
physical volumes?
Comment 6 Joerg Sippel 2004-11-18 09:36:36 EST
Created attachment 106956 [details]
Disk Druid settings (JPG)

I'm using a 4MB physical extend size, each physical volume has a size of 2347
MB (Information from /proc/dasd/devices: dasdc : active at blocksize: 4096,
600840 blocks, 2347 MB)

In the attached jpg files you see the configuration. When using 7000MB (7008MB
in disk druid) it works, when deleting this volume and creating a new one with
the default size of 7020MB there are problems
Comment 8 Brock Organ 2004-11-23 14:15:44 EST
Hello Jeorg,

I'm unable to verify your behavior in our internal test environment, can you
supply your /proc/dasd/devices to see if my setup matches yours:

> -/bin/sh-3.00# cat /proc/dasd/devices 
> 0.0.0200(ECKD) at ( 94:     0) is dasda       : active at blocksize: 4096, 
> 601020 blocks, 2347 MB
> 0.0.0201(ECKD) at ( 94:     4) is dasdb       : active at blocksize: 4096, 
> 601020 blocks, 2347 MB
> 0.0.0202(ECKD) at ( 94:     8) is dasdc       : active at blocksize: 4096, 
> 601020 blocks, 2347 MB
> -/bin/sh-3.00# 

If our setups are different, I will alter to match yours to try and reproduce
the problem ... :)

Regards,

Brock

Comment 9 Joerg Sippel 2004-11-24 03:00:50 EST
Hello,

here my /proc/dasd/devices:

[root@RHS390BETA ~]# cat /proc/dasd/devices
0.0.3200(ECKD) at ( 94:     0) is dasda       : active at blocksize: 
4096, 468000 blocks, 1828 MB
0.0.3201(ECKD) at ( 94:     4) is dasdb       : active at blocksize: 
4096, 132840 blocks, 518 MB
0.0.322b(ECKD) at ( 94:     8) is dasdc       : active at blocksize: 
4096, 600840 blocks, 2347 MB
0.0.322c(ECKD) at ( 94:    12) is dasdd       : active at blocksize: 
4096, 600840 blocks, 2347 MB
0.0.322d(ECKD) at ( 94:    16) is dasde       : active at blocksize: 
4096, 600840 blocks, 2347 MB
[root@RHS390BETA ~]# 

dasda is used for /boot
dasdb is used for swap
dasdc-dasde is used as LVM for /

I hope this helps

Regards,

Jörg Sippel
Comment 10 Joerg Sippel 2004-11-24 04:08:15 EST
Hello,

i have created everything new, including the dasd devices. Now it 
works without problems. Also the disk size is now ok. Before Beta2, 
Beta1 was running without any problems. I don't know why we had this 
failure after upgrading to beta2. It is no longer reproducible.


Note You need to log in before you can comment on or make changes to this bug.